### Hierarchy

- unknown
  - SetTxFeeRatePreferenceRequest

## Index

### Constructors

- constructor

### Methods

- getTxFeeRatePreference
- serializeBinary
- setTxFeeRatePreference
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SetTxFeeRatePreferenceRequest(): SetTxFeeRatePreferenceRequest

- Inherited from jspb.Message.constructor

  #### Returns SetTxFeeRatePreferenceRequest

## Methods

### getTxFeeRatePreference

- getTxFeeRatePreference(): number

- - Defined in src/protobuf/grpc_pb.d.ts:3438

  #### Returns number

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3441

  #### Returns Uint8Array

### setTxFeeRatePreference

- setTxFeeRatePreference(value: number): SetTxFeeRatePreferenceRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3439

  #### Parameters

  - ##### value: number

  #### Returns SetTxFeeRatePreferenceRequest

### toObject

- toObject(includeInstance?: boolean): SetTxFeeRatePreferenceRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3442

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SetTxFeeRatePreferenceRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SetTxFeeRatePreferenceRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3445

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SetTxFeeRatePreferenceRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SetTxFeeRatePreferenceRequest, reader: BinaryReader): SetTxFeeRatePreferenceRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3446

  #### Parameters

  - ##### message: SetTxFeeRatePreferenceRequest

  - ##### reader: BinaryReader

  #### Returns SetTxFeeRatePreferenceRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SetTxFeeRatePreferenceRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3444

  #### Parameters

  - ##### message: SetTxFeeRatePreferenceRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SetTxFeeRatePreferenceRequest ): SetTxFeeRatePreferenceRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3443

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SetTxFeeRatePreferenceRequest

  #### Returns SetTxFeeRatePreferenceRequest . AsObject

Generated using TypeDoc